# Created by pyp2rpm-3.4.0
%define python3_pkgversion 3.11
%global pypi_name nh3
%global pypi_version 0.2.20

%bcond_without tests # Enables tests

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1.0.1%{?dist}
Summary:        Python binding to Ammonia HTML sanitizer Rust crate

License:        MIT
URL:            https://github.com/messense/nh3
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{pypi_version}.tar.gz
# To create the vendor tarball:
#   tar xf %%{name}-%%{version}.tar.gz ; pushd %%{name}-%%{version} ; \
#   cargo vendor --versioned-dirs && tar Jcvf ../%%{name}-%%{version}-vendor.tar.xz vendor/ ; popd
Source1:        %{pypi_name}-%{version}-vendor.tar.gz
BuildArch:      x86_64

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  (python%{python3_pkgversion}-maturin >= 1 with python%{python3_pkgversion}-maturin < 2~~)
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools-rust
BuildRequires:  python%{python3_pkgversion}-toml
BuildRequires:  pyproject-rpm-macros
BuildRequires:  rust-toolset

%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest
%endif

%description
Python binding to Ammonia HTML sanitizer Rust crate

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Python binding to Ammonia HTML sanitizer Rust crate

%description -n python%{python3_pkgversion}-%{pypi_name}
Python binding to Ammonia HTML sanitizer Rust crate

%global debug_package %{nil}

%prep
%autosetup -n %{pypi_name}-%{pypi_version} -p1 %{?rhel:-a1}
%cargo_prep %{?rhel:-v vendor}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install

%check
%if %{with tests}
%{pytest}
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}.dist-info

%changelog
* Mon Feb 17 2025 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 0.2.20-1.0.1
- Adds cargo dependencies
- Fixes arch of package

* Fri Feb 14 2025 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 0.2.20-1
- Initial package.